<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:th="http://www.thymeleaf.org">
<head>
<title>Role</title>

<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html;charset=UTF8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />


</head>

<body>
	<div th:fragment="content">


		<script type="text/javascript">
		
		         function check() {

                    var ids ='';
		        	 $("#tablaPermisos  > tbody  > tr ").each(function() {
			        	 
		        	     var checkbox = $(this).find("input");
		        	     if ($(checkbox).is(':checked')) {
		        	    	 //ids.push($(checkbox).attr('id'));
		        	    	 ids = ids+$(checkbox).attr('id')+',';
			        	 }
		        	 });
		        	 console.log("Permisos seleccionados: ", ids);
		        	  $("#permissionIds").val(ids);                   
			     }

		     	$(document).ready(function() {
                        check();
                        $('#tablaPermisos').dataTable();
			    });
		 
		</script>

		<h4 class="page-header" th:text="#{role.form.title}">ROLE</h4>
		<div th:replace="fragments/notificaciones :: content">notificiones</div>

		<form action="#" th:action="@{/role/createorupdate}" method="POST" role="form"
			th:object="${role}">

			<div th:replace="fragments/form_errores :: content">errores</div>

			<input type="hidden" th:field="*{id}" /> 
			<input type="hidden"
				name="permissionIds" id="permissionIds" />


           <div class="row">
				<div class="form-group col-lg-4 col-md-4 required">
					<label for="code" th:text="#{role.code.lbl}" class="field-label">Code:</label>
					<input type="text" th:field="*{code}" class="form-control"
						autofocus="autofocus" />
				</div>

				<div class="form-group col-lg-8 col-md-8 required">
					<label for="description" th:text="#{role.description.lbl}"
						class="field-label">Description:</label> <input type="text"
						name="description" th:field="*{description}" class="form-control" />
				</div>
			</div>

			<div class="box box-info">
				<div class="box-header with-border">
					<i class="fa fa-calendar-minus-o fa-2x"></i>
					<h3 class="box-title" th:text="#{role.permissions.lbl}">Permisos</h3>
					<div class="box-tools pull-right">
						<span data-toggle="tooltip" title="Ausencias"
							th:title="#{badge.permissions}" class="badge bg-red"
							th:text="${checkedCount}">3</span>
						<button class="btn btn-box-tool" data-widget="collapse">
							<i class="fa fa-minus"></i>
						</button>

					</div>
				</div>
				<!-- /.box-header -->

				<div class="box-body table-striped" style="display: block;">
					<div class="table-responsive" style="overflow-x: initial;"
						th:if="${not permissions.isEmpty()}">
						<table id="tablaPermisos"
							class="table table-bordered table-hover table-striped display">
							<thead>
								<tr>
									<td th:text="#{lbl.permission.table.code}">CODIGO</td>
									<td th:text="#{lbl.permission.table.description}">DESCRIPCION</td>
									<td><input name="select_all" id="select_all" type="checkbox"/></td>
								</tr>
							</thead>
							<tbody>
								<tr th:each="permission : ${permissions}">
									<td th:text="${permission.code}">user_sel</td>
									<td th:text="${permission.description}">Permiso para
										seleccionar usuario</td>
									<td><input th:id="${permission.id}" type="checkbox"
										th:checked="${permission.checked}" onclick="check()" /></td>
								</tr>
							</tbody>
						</table>
					</div>

				</div>
			</div>
			<script type="text/javascript">
			$('#select_all').change(function(){
			    var cells = $('#tablaPermisos').DataTable().cells( ).nodes();
			    $( cells ).find(':checkbox').prop('checked', $(this).is(':checked'));
			    check();
			});
			</script>
			<div th:replace="abm/formulario_botones :: content">botones</div>
		</form>



	</div>

</body>
</html>
